ChangeSet 1.1276.1.62, 2003/08/28 22:26:49-07:00, greg@kroah.com

[PATCH] USB: fix usbnet for older versions of gcc


 drivers/usb/net/usbnet.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue Sep  2 12:42:42 2003
+++ b/drivers/usb/net/usbnet.c	Tue Sep  2 12:42:42 2003
@@ -2482,12 +2482,14 @@
 		return usbnet_ethtool_ioctl (net, (void __user *)rq->ifr_data);
 
 #ifdef NEED_MII
+	{
 	struct usbnet *dev = (struct usbnet *)net->priv;
 
 	if (dev->mii.mdio_read != NULL && dev->mii.mdio_write != NULL)
 		return generic_mii_ioctl(&dev->mii,
 				(struct mii_ioctl_data *) &rq->ifr_data,
 				cmd, NULL);
+	}
 #endif
 	return -EOPNOTSUPP;
 }
